package cn.net.caoyao.cpzshandset.service.presenter;

import android.content.Intent;
import android.widget.BaseAdapter;

import cn.net.caoyao.cpzshandset.service.presenter.base.BasePresenter;
import cn.net.caoyao.cpzshandset.service.presenter.base.BaseView;

public interface ShipmentSingleScannerConstact {
	interface View extends BaseView<Presenter> {
		void setPackageCount(String packageCountStr);
		void setWeightCount(String weightCountStr);
		void setPageTitle(String titleStr);
		void finishPage(); 
		void readQRCode();
		void setAdapter(BaseAdapter adapter);
		void addCustomDisplayView(android.view.View customView);
		void addHeadView(android.view.View customView);
		void setScannerBtnEnabled(boolean enabled);
		void vibrate(int duration);
		void setMoreOptionBtnVisibility(int visibility);
		void setMoreOptionStr(String moreOptionStr);
		void setRealBagCountVisibility(int visibility);
		void setRealPackageCount(String packageCountStr);
		void setRealWeightCount(String weightCountStr);
		void setScannerPackageCountColor(int id);
		void setScannerWeightCountColor(int id);
		
	}

	interface Presenter extends BasePresenter {
		void onActivityResult(int requestCode, int resultCode, Intent data);
		void onResume();
		void backClick();
		void btnScannerClick();
		void onItemClickLinstener(int position);
		void onItemLongClickListener(int position);
		void moreOptionClick();
	}

}
